Show / Hide Table of Contents

# Delegate PluginInitInjector.InjectParameter

A typed injector for a plugin's Init method. When registered, called for all associated types. If it returns null, the default for the type will be used.

###### Namespace: IPA.Loader

###### Assembly: IPA.Loader.dll

##### Syntax

    public delegate object InjectParameter(object previous, ParameterInfo param, PluginLoader.PluginMetadata meta);

##### Parameters

Type | Name | Description
--- | --- | ---
Object | previous | the previous return value of the function, or null if never called for plugin.
ParameterInfo | param | the ParameterInfo of the parameter being injected.
PluginLoader.PluginMetadata | meta | the PluginLoader.PluginMetadata for the plugin being loaded.

##### Returns

Type | Description
--- | ---
Object | the value to inject into that parameter.

### Extension Methods

ReflectionUtil.SetPrivateField(Object, String, Object)
ReflectionUtil.GetPrivateField<T>(Object, String)
ReflectionUtil.SetPrivateProperty(Object, String, Object)
ReflectionUtil.InvokePrivateMethod(Object, String, Object[])
ReflectionUtil.InvokePrivateMethod<T>(Object, String, Object[])